import { Event } from './Event';
import { IPlugin } from './interfaces/IPlugin';
export declare class PluginStore {
    private functionArray;
    private pluginMap;
    private _eventCallableRegistry;
    constructor();
    install(plugin: IPlugin): void;
    getInstalledPluginNameWithVersion(name: string): string | null;
    addFunction(key: string, fn: any): void;
    executeFunction(key: string, ...args: any): any;
    removeFunction(key: string): void;
    uninstall(key: string): void;
    addEventListener<EventType = Event>(name: string, callback: (event: EventType) => void): void;
    removeEventListener<EventType = Event>(name: string, callback: (event: EventType) => void): void;
    dispatchEvent<EventType = Event>(event: EventType): void;
}
